<template>
  <a-alert
    v-if="show"
    :message="message"
    :description="description"
    :type="type"
    closable
    show-icon
    @close="onClose"
  />
</template>
<script>
export default {
  props: {
    onClose: {
      type: Function,
      required: false,
      default: () => {}
    },
    show: {
      type: Boolean,
      required: true,
      default: () => false
    },
    message: {
      type: String,
      required: false,
      default: 'Opps'
    },
    description: {
      type: String,
      required: false,
      default: 'Something has gone wrong'
    },
    type: {
      type: String,
      required: false,
      default: 'error'
    }
  }
}
</script>
